<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file name='/etc/apt/apt.conf.d/03-eole-changelogs' />
    </files>

    <containers>

        <all>
            <file name='/etc/apt/apt.conf.d/03-eole-changelogs' instance_mode='when_container'/>
        </all>

    </containers>

    <variables>
        <family name='général'>
            <variable name='serveur_maj' type='domain' description='Serveur de mise à jour' multi='True' mandatory='True'>
                <value>eole.ac-dijon.fr</value>
                <value>ftp.crihan.fr</value>
            </variable>
            <variable name='ubuntu_update_mirrors' type='domain' description='Serveur de mise à jour Ubuntu' multi='True' mandatory='True' mode='expert' />
        </family>
        <family name='dépôt tiers' icon='debian' mode='expert'>
            <variable name='additional_repository_name' type='string' description='Libellé du dépôt' multi='True'/>
            <variable name='additional_repository_source' type='string' description="Déclaration du dépôt" mandatory='True'/>
            <variable name='additional_repository_key_type' type='string' description='Méthode de récupération de la clé publique du dépôt' mandatory='True'>
                <value>serveur de clés</value>
            </variable>
            <variable name='additional_repository_key_url' type='web_address' description='URL de la clé' mandatory='True'/>
            <variable name='additional_repository_key_signserver' type='string' description='URL du serveur de clés' mandatory='True'/>
            <variable name='additional_repository_key_fingerprint' type='string' description='Empreinte de la clé' mandatory='True'/>
        </family>
        <separators>
            <separator name='serveur_maj'>Mise à jour</separator>
            <separator name='additional_repository_name'>Configuration des dépôts tiers</separator>
        </separators>
    </variables>

    <constraints>
        <check name='valid_regexp' target='additional_repository_source'>
            <param>^((deb)|(deb-src)) (\[ .* \] )?(((http)|(https)|(ftp)|(ftps))://\S+) (\S+)(( \S+)+)?</param>
            <param name='err_msg'>La déclaration d'un dépôt doit respecter le format one-line-style (man 5 sources.list)</param>
        </check>
        <fill name='auto_copy_val' target='ubuntu_update_mirrors'>
            <param type='eole'>serveur_maj</param>
        </fill>
        <group master='additional_repository_name'>
            <slave>additional_repository_source</slave>
            <slave>additional_repository_key_type</slave>
            <slave>additional_repository_key_url</slave>
            <slave>additional_repository_key_signserver</slave>
            <slave>additional_repository_key_fingerprint</slave>
        </group>
        <check name='valid_enum' target='additional_repository_key_type'>
            <param>['serveur de clés','URL de la clé']</param>
        </check>
        <condition name='disabled_if_in' source='additional_repository_key_type'>
            <param>serveur de clés</param>
            <target type='variable'>additional_repository_key_url</target>
        </condition>
        <condition name='disabled_if_in' source='additional_repository_key_type'>
            <param>URL de la clé</param>
            <target type='variable'>additional_repository_key_signserver</target>
            <target type='variable'>additional_repository_key_fingerprint</target>
        </condition>

    </constraints>

    <help>
        <family name='dépôt tiers'>Ajout de nouveaux paquets absents des dépôts officiels</family>
        <variable name='serveur_maj'>Nom ou adresse IP du serveur de mise à jour</variable>
        <variable name='additional_repository_source'>Déclaration du dépôt dans le style one-line attendu pour les fichiers .list : type options uri suite components (deb|deb-src [ option1=value1 option2=value2 ] uri suite [component1] [component2] [...])</variable>
        <variable name='ubuntu_update_mirrors'>Nom ou adresse IP du serveur de mise à jour pour les paquets Ubuntu (utilise la valeur de serveur_maj par défaut)</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
